%define		plugin	check_ssl_cert
Summary:	Nagios plugin to check the CA and validity of an X.509 certificate
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca CA i ważność certyfikatu X.509
Name:		nagios-plugin-%{plugin}
Version:	1.59.0
Release:	1
License:	GPL v3
Group:		Networking
Source0:	https://github.com/matteocorti/check_ssl_cert/releases/download/v%{version}/check_ssl_cert-%{version}.tar.gz
# Source0-md5:	bba6a72d3489197bf235b485fdc76401
Source1:	check_ssl_cert.cfg
Patch0:		ca_path.patch
URL:		https://github.com/matteocorti/check_ssl_cert/wiki
BuildRequires:	rpm >= 4.4.9-56
Requires:	expect
Requires:	file
Requires:	nagios-common
Requires:	openssl-tools >= 0.9.8i-3
Requires:	perl-TimeDate
Requires:	perl-base
Requires:	sed >= 4.0
Requires:	which
Suggests:	ca-certificates-update
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
check_ssl_cert is a Nagios plugin to check X.509 certificates. It
checks if the server is running and delivers a valid certificate. It
also checks if the CA matches a given pattern, and checks the
validity.

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca certyfikaty X.509. Wtyczka ta sprawdza
czy serwer działa poprawnie oraz czy dostarcza ważny certyfikat.
Dodatkowo sprawdza czy CA pasuje do określonego wzorca i weryfikuje
jego poprawność.

%prep
%setup -q -n %{plugin}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir},%{_mandir}/man1}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
cp -p check_ssl_cert.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT INSTALL NEWS README.md TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_ssl_cert.1*
%changelog
* Thu Dec 14 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_ssl_cert.git;a=log;h=master

* Thu Dec 14 2017 Elan Ruusamäe <glen@pld-linux.org> 9876bd3
- up to 1.59.0

* Thu Nov 16 2017 Elan Ruusamäe <glen@pld-linux.org> e261145
- up to 1.55.0

* Sun Sep 10 2017 Elan Ruusamäe <glen@pld-linux.org> 3342f11
- up to 1.53.0

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 897ae53
- 1.52.0: The SAN requirement check is now optional

* Mon Jul 31 2017 Elan Ruusamäe <glen@pld-linux.org> 90a906d
- up to 1.51.0

* Mon Jul 17 2017 Elan Ruusamäe <glen@pld-linux.org> 494c70f
- 1.49.0: Support for OpenSSL 1.1

* Sat Jun 24 2017 Elan Ruusamäe <glen@pld-linux.org> ea6fb22
- up to 1.48.0

* Sat Jun 17 2017 Elan Ruusamäe <glen@pld-linux.org> 2b768bb
- up to 1.47.0

* Mon May 15 2017 Elan Ruusamäe <glen@delfi.ee> 741ee5a
- up to 1.46.0

* Mon May 08 2017 Elan Ruusamäe <glen@delfi.ee> 2fe01f0
- up to 1.45.0; project moved to github

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> e2aee15
- up to 1.17.1

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> eeae0d5
- up to 1.17.0

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> 9c2bdb6
- require openssl tools for updated certs path

* Tue Nov 01 2011 zbyniu <zbyniu@pld-linux.org> 30b404b
- up to 1.11.0

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 54907c1
- warning/critical defaults

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 91284bc
- R: which

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 90c5cea
- check less often (same as https.crt service (from base plugins))

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 0ea4546
- not template

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 80a22d1
- setup default ca dir (-r option)

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 829cd29
- R: openssl-tools for /usr/bin/openssl

